/*
 * Copyright (c), Lawrence Foard, 1992
 * May be used and distributed under the gnu license
 */
#include <stdio.h>
#include <fcntl.h>

main(int argc,char *argv[])
{
 int fd=open(argv[1],O_RDWR);
 unsigned short bootword;
 if (!argv[1])
  {
   fprintf(stderr,"Usage: setboot device_name major_number minor_number\n");
   fprintf(stderr," For example setboot /dev/at0 3 66\n");
   exit(1);
  }
 if (fd==-1)
  {
   perror("open failed");
   exit(1);
  }
 if (-1==lseek(fd,508,0))
  {
   perror("seek failed");
   exit(1);
  }
 bootword=(atoi(argv[2])<<8)+atoi(argv[3]);
 if (write(fd,&bootword,sizeof(short))!=sizeof(short))
  {
   perror("write failed");
   exit(1);
  }
 close(fd);
 exit(0);
}
